Andreas Jung wrote:
--On 7. Dezember 2005 10:29:16 -0500 Jim Fulton <[EMAIL PROTECTED]> wrote:

We need it.  We also need a single publisher.  We are (almost) at
the beginning of a new development cycle.  We should be ambitios
and try to make it possible to use the Zope 3 puublisher in Zope 2
*and* provide backward compatibility.

Backward compatibility must be the major goal for porting Z3 parts to
Z2. In the future will have two major release each year. People
deploying enterprise-level applications on top of Zope 2 must have
the feeling that their application will run in one or two yrs when
switching to a newer Zope version without major problems.

Agreed with Andreas. I also agree with Jim that it makes sense to be ambitious. I suspect we'll end up with a two-pronged approach -- introduce the Zope 3 publisher with as much backwards compatibility we can provide, but also make sure that the old publisher code (with *all* backwards compatibility) can be used if desired.


Zope3-dev mailing list

Reply via email to